package main;

public class DialogChoice
{
	public int give = -1;
	private String text = "";
	public int log = -1;
	public String yes = "";
	public String no = "";
	public int cost = -1; //mobj
	public int cost_check = 0; //amount
	public boolean noDisplayCost = false;
	public int altcost = -1;
	public int altcost_check = 0;
	public int link = 0;
	public boolean showNext = false;

	public String makeScript()
	{
		String script = "\n	CHOICE\n";
		if(give != -1)
		{
			script += "		GIVE " + give + "\n";
		}
		script += "		TEXT \"" + text + "\"\n";
		if(log != -1)
		{
			script += "		LOG " + log + "\n";
		}
		if(yes.equals("") == false)
		{
			script += "		YES \"" + yes + "\"\n";
		}
		if(no.equals("") == false)
		{
			script += "		NO \"" + no + "\"\n";
		}
		if(cost != -1 && !noDisplayCost)
		{
			script += "		COST " + cost + " * " + cost_check + "\n";
		}
		else if(cost != -1 && noDisplayCost)
		{
			script += "		NODISPLAYCOST " + cost + " * " + cost_check + "\n";
		}
		if(altcost != -1)
		{
			script += "		ALTCOST " + altcost + " * " + altcost_check + "\n";
		}
		script += "		LINK ";
		if(showNext)
		{
			script += "-";
		}
		script += (link + 1) + "\n";
		script += "	;\n";
		return script;
	}
	public String toString() //toString() returns what ZDoom/Strife would print
	{
		String returnString = getText();
		if(cost != -1 && !noDisplayCost)
		{
			returnString += " for " + cost_check;
		}
		return returnString;
	}
	public String getText()
	{
		return text;
	}
	public void setText(String text)
	{
		this.text = text;
	}
}